Main Page Groups Namespaces

# sigc::internal::trackable_callback_list Struct Reference

Callback list. More...

List of all members.

## Public Member Functions
void | add_callback (void* data, func_destroy_notify func)
| Add a callback function.
void | remove_callback (void* data)
| Remove the callback which has this data associated with it.
void | clear ()
| This invokes all of the callback functions.
| trackable_callback_list ()
| ~trackable_callback_list ()
| This invokes all of the callback functions.

## Detailed Description

Callback list.

A callback list holds an STL list of callbacks of type trackable_callback. Callbacks are added and removed with add_callback(), remove_callback() and clear(). The callbacks are invoked from clear() and from the destructor.

## Constructor & Destructor Documentation

sigc::internal::trackable_callback_list::trackable_callback_list | ( |  | ) | `[inline]`

sigc::internal::trackable_callback_list::~trackable_callback_list | ( |  | ) |

| This invokes all of the callback functions.

## Member Function Documentation

void sigc::internal::trackable_callback_list::add_callback | ( | void* | data,
|  | func_destroy_notify | func
| ) |

  | Add a callback function. Parameters:
  | data | Data that will be sent as a parameter to teh callback function.
  | func | The callback function.

void sigc::internal::trackable_callback_list::clear | ( |  | ) |

| This invokes all of the callback functions.

void sigc::internal::trackable_callback_list::remove_callback | ( | void* | data | ) |

  | Remove the callback which has this data associated with it. Parameters:
  | data | The data that was given as a parameter to add_callback().

The documentation for this struct was generated from the following file:

- trackable.h